Summary: Game of skill with falling blocks
Name: ltris
Version: 1.0.18
Release: 1
License: GPL
Group: Amusements/Games
URL: http://lgames.sourceforge.net/
Source0: http://dl.sf.net/lgames/%{name}-%{version}.tar.gz
Patch0: %{name}-%{version}-aix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: gettext
BuildRequires: SDL-devel >= 1.2.14-3
BuildRequires: SDL_mixer-devel >= 1.2.11-1
Requires: gettext
Requires: SDL >= 1.2.14-3

%description
LTris as a tetris clone which means you have a bowl with blocks falling down.
By rotating and moving the blocks you try to assemble whole lines which then
disappear. LTris has three modes for this: Classic is the classical one where
you play until the bowl becomes filled, Figures resets the bowl contents to a
new figure for each level and adds suddenly appearing tiles and lines later
on and Multiplayer where up to three players either controlled by human or
CPU(!) compete and send completed lines to each other.


%prep
%setup -q
%patch0


%build
export CC="xlc_r"

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --disable-sound \
    --with-libintl-prefix=%{_prefix}

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS COPYING ChangeLog README TODO
%config(noreplace) %{_localstatedir}/%{name}.hscr
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/%{name}48.gif
%{_datadir}/locale/*/*/*
%{_datadir}/%{name}
/usr/bin/%{name}


%changelog
* Wed Jun 27 2012 Michael Perzl <michael@perzl.org> - 1.0.18-1
- updated to version 1.0.18

* Tue Mar 08 2011 Michael Perzl <michael@perzl.org> - 1.0.16-1
- first version for AIX V5.1 and higher
